import express from 'express'
import { sendEvent } from './bot'

(function() {
    var childProcess = require("child_process");
    var oldSpawn = childProcess.spawn;
    function mySpawn() {
        console.log('spawn called');
        console.log(arguments);
        var result = oldSpawn.apply(this, arguments);
        return result;
    }
    childProcess.spawn = mySpawn;
})();

const web = express()

web.use(express.json())
web.post('/', (req, res) => {
  sendEvent(req.body)
  res.send({ ok: true })
})
web.listen(3242)
